#
# spec file for package zypp-boot-plugin
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           zypp-boot-plugin
Version:        0.0.12
Release:        1.4
Summary:        Zypp plugin for checking if a reboot is needed
License:        AGPL-3.0-or-later
Group:          System/Packages
URL:            https://github.com/openSUSE/zypp-boot-plugin
Source:         zypp-boot-plugin-%{version}.tar.xz
BuildRequires:  boost-devel
BuildRequires:  docbook5-xsl-stylesheets
BuildRequires:  gcc-c++
BuildRequires:  grep
BuildRequires:  libboost_filesystem-devel
BuildRequires:  libboost_system-devel
BuildRequires:  libeconf-devel
BuildRequires:  libjson-c-devel
BuildRequires:  meson
BuildRequires:  xsltproc
BuildRequires:  libzypp(plugin:commit)

Requires:       libzypp(plugin:commit) = 1
Recommends:     grep

%description
This package contains a plugin for zypp that checks if a reboot is needed after
package installation/update.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license LICENSE
%doc README.md
%dir %{_distconfdir}/zypp
%{_distconfdir}/zypp/zypp-boot-plugin.conf
/usr/lib/zypp/plugins/commit/boot-plugin
%doc %{_mandir}/*/zypp-boot-plugin.8*

%changelog
* Wed Sep 11 2024 schubi@suse.com
- Update to version 0.0.12:
  * Added selinux-policy and systemd-boot to hard reboot list.
* Thu Jul 11 2024 schubi@suse.com
- Update to version 0.0.11:
  * Handle content-length of stomp in zypper plugin (bsc#1227418).
* Fri Jun 14 2024 schubi@suse.com
- Update to version 0.0.10:
  * updated zypp-boot-plugin.conf docu
* Wed Jun  5 2024 Stefan Schubert <schubi@suse.com>
- Update to version 0.0.9:
  * Set reboot flag for multiversion packages ( type "M" ).
* Thu Feb 22 2024 schubi@suse.com
- Update to version 0.0.8:
  * Do not overwrite higher bootlevel in already existing
    reboot-needed.
  * Fix typo in level name soft-reboot
  * De-denglishify README.md a bit
* Tue Feb  6 2024 schubi@suse.com
- Update to version 0.0.7:
  * Caching RPM calls
  * reducing logging
* Tue Oct 24 2023 schubi@suse.com
- Update to version 0.0.6:
  * Using Boost:child for RPM calls instead of unsecure system()
    call (bsc#1215988).
* Wed Oct 11 2023 schubi@suse.com
- Update to version 0.0.5:
  * Fix in checking installhint(reboot-needed) (bsc#1215988).
* Thu Oct  5 2023 schubi@suse.com
- Update to version 0.0.4:
  * Update README.md
  * Added libopenssl to soft-reboot, removed openssl from
    soft-reboot
* Fri Sep 29 2023 schubi@suse.com
- Update to version 0.0.3:
  * Allowing regex expression for the package name in
    zypp-boot-plugin.conf.
* Wed Sep 27 2023 schubi@suse.com
- Update to version 0.0.2:
  * Added "zypper dup" testcase
  * Reduced logging in order not to overload the communication
    with libzypp.
* Fri Aug 25 2023 schubi@suse.com
- initial version 0.0.1
